# DebugOutput

Specifies the type of debugging information generated by the compiler.

For backward compatibility, the following string values can also be used in build files:

Value | Corresponding field
--- | ---
"true" | `Enable`
"false" | `None`

When set to Enabled then the following conditional compilation symbols will also be defined:

- DEBUG
- TRACE

### Fields

Field | Description
--- | ---
Enable | Enable attaching a debugger to the running program.
Full | Enable attaching a debugger to the running program.
None | Create no debug information.
PdbOnly | Only display assembler when the running program is attached to the debugger.

### Requirements

Assembly: NAnt.DotNetTasks (0.90.3780.0)